# $log.file

Returns the current log filename

Usage

    $log.file
    $log.file(<window id>)

Description
The form with the <window id> parameter returns the log file name of the window that has the specified id. If logging is not enabled in the specified window, this function returns an empty string. The form without parameters returns the log file name of the current window, thus it is equivalent to calling $log.file($window)
Syntax Specification

    $log.file
    $log.file(<window id>)

Examples

    log.start mylogfilename.log
    echo $log.file
    echo $log.file($channel(#kvirc))

See also
$window, log.start, log.stop, window naming conventions documentation

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by portbuild at Mon Aug 12 12:09:14 2013